package com.lightinit.hsdatashow.entity;

import java.util.Date;

public class AirQualityIndex {
    private Long id;

    private String name;

    private Integer value;

    private String level;

    private Date updateTime;

    private Long createdBy;

    private Long deletedAt;

    private Long regionId;

    private String regionName;

    private byte[] deletedBy;

    public AirQualityIndex() {
    }

    public AirQualityIndex(String name, Integer value, String level) {
        this.name = name;
        this.value = value;
        this.level = level;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Long getDeletedAt() {
        return deletedAt;
    }

    public void setDeletedAt(Long deletedAt) {
        this.deletedAt = deletedAt;
    }

    public Long getRegionId() {
        return regionId;
    }

    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName == null ? null : regionName.trim();
    }

    public byte[] getDeletedBy() {
        return deletedBy;
    }

    public void setDeletedBy(byte[] deletedBy) {
        this.deletedBy = deletedBy;
    }

    @Override
    public String toString() {
        return "AirQualityIndex{" +
                "name='" + name + '\'' +
                ", value=" + value +
                ", level='" + level + '\'' +
                ", updateTime=" + updateTime +
                '}';
    }
}